#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.1.1.0
visibility:           public
id:                   lsp-1.1.1.0-6DsskFcDPxcEXrRoQHPjw5
key:                  lsp-1.1.1.0-6DsskFcDPxcEXrRoQHPjw5
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/alanz/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  be3adf6afb61e38e06fcc7b2ca660455
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.1.0.0-BMVDSl33PolFVlaiqAKh4a:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.1.0.0-BMVDSl33PolFVlaiqAKh4a:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.1.0.0-BMVDSl33PolFVlaiqAKh4a:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.1.0.0-BMVDSl33PolFVlaiqAKh4a:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-1.1.1.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-1.1.1.0
hs-libraries:         HSlsp-1.1.1.0-6DsskFcDPxcEXrRoQHPjw5
depends:
    aeson-1.5.6.0-GONgLS6yTtf17t9dlS8fIx
    async-2.2.3-EZZT7wQnIBTGEUrsu0pZys
    attoparsec-0.14.1-LcmiRNlWrJD5Pjxxo1qNX3 base-4.14.1.0
    bytestring-0.10.12.0 containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV
    dependent-map-0.4.0.0-3EX84QyvSYDFZzl2eG6Xcc directory-1.3.6.0
    filepath-1.4.2.1 hashable-1.3.1.0-4EsGp1K7uOu2cACWuCidz3
    hslogger-1.3.1.0-44G743PCj3J57xAkWf9VOk
    lens-5-F4KEgIRUc5WJcWGryULIOm
    lsp-types-1.1.0.0-BMVDSl33PolFVlaiqAKh4a mtl-2.2.2
    network-uri-2.6.4.1-FEk4aE8j9Y63aWdVbJOWgW
    random-1.2.0-BSJGCOLkQNv8Ash7mOrAOw
    scientific-0.3.6.2-FtF6UzDU8az6pveu1T1hqn
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-GpKX90RmBie7xFEkTgVtxL
    uuid-1.3.14-9B28nIXSzy9JwRyY27Sbn3

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

